<?php
/**
 *
 * @package LZ Restaurant Premium
 */
?>
<?php $showContent = get_theme_mod('lz_fitness_premium_slider_show_content', 'on'); ?>
<div id="ht-home-slider-section">
	<div id="ht-bx-slider">
		<?php
		$args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC', );
		if(!empty($pageId)){
			$args['page_id'] = absint($pageId);

		}
		$text = '';
		$query = new WP_Query($args);
		if($query->have_posts()){
			while($query->have_posts()) : $query->the_post(); 
				$pageLink = '';
				$slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
				$sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
				if(!empty($slider_btn_link) && is_array($slider_btn_link)){
					$pageLink = esc_url(get_permalink($slider_btn_link[0]));
				}
				if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
					$pageLinkTxt = $sliderBtnTxt[0];
				}else{
					$pageLinkTxt = 'Start Learning Now!';
				}
				?>
				<div class="ht-slide">
					<div class="ht-slide-overlay"></div>
					<?php 
					if(has_post_thumbnail()){
						$total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');	
						echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
					}
					if($showContent == 'on'){
						?>
						<div class="ht-slide-caption">
							<div class="ht-slide-cap-title animated fadeInDown">
								<span><?php echo (get_the_title()); ?></span>
							</div>
							<div class="ht-slide-cap-desc animated fadeInDown">
								<?php echo (get_the_content()); ?>
							</div>
														
							<?php 
							if(!empty($pageLink)){ ?>
							<div class="ht-slide-cap-descmore animated fadeInDown">
								<a class="secondry-bg" href="<?php echo $pageLink; ?>"><?php echo esc_html($pageLinkTxt); ?></a>
							</div>
							<?php }?>
						</div>
						<?php }?>
					</div>
					<?php
				endwhile;
			}else{ 
				for($i=0;$i<2;$i++){?> 
				<div class="ht-slide">
					<div class="ht-slide-overlay"></div>
					<?php echo '<img alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider-banner.jpg">';?>					
					<?php if($showContent == 'on'){?>
					<div class="ht-slide-caption">
						<div class="ht-slide-cap-title animated fadeInDown"><span>UNIQUE</span></div>
						<div class="ht-slide-cap-desc animated fadeInDown">DESIGN IS MAKING SENSE <br> OF THINGS.</div>
						
						<div class="ht-slide-cap-descmore animated fadeInDown">	
							<a class="secondry-bg" href="<?php echo $pageLink; ?>"><?php _e( 'Start Learning Now!', 'lz-fintess-premium' ); ?></a>
						</div>
					</div>
					<?php }?>
				</div>
				<?php }
			}?>
		</div>
	</div>
